import java.util.List;

import javax.ejb.EJB;

import junit.framework.Assert;

import org.jboss.arquillian.container.test.api.Deployment;
import org.jboss.arquillian.junit.Arquillian;
import org.jboss.shrinkwrap.api.Archive;
import org.jboss.shrinkwrap.api.ShrinkWrap;
import org.jboss.shrinkwrap.api.spec.JavaArchive;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;

@RunWith(Arquillian.class)
public class PersistenceServiceTestCase {
	@Deployment
	public static Archive<?> createDeployment() {

		
		return ShrinkWrap
				.create(JavaArchive.class)
				.addClasses(Record.class, PersistenceServiceBean.class,
						PersistenceServiceBean.class)
				.addAsManifestResource("persistence.xml", "persistence.xml");
	}

	private static boolean initDB = true;

	@EJB
	PersistenceServiceBean service;

	@Before
	public void setup() {
		if (initDB) {

			service.seed();
			initDB = false;
		}
	}

	@After
	public void teardown() {

	}

	@Test
	public void queryShouldFindSeedRecord() {

		List<Record> results = service.selectAll();

		System.out.println(results.toString());

		Assert.assertEquals("Should have found one record", 1, results.size());
	}

	@Test
	public void queryShouldFindSeedRecord1() {

		List<Record> results = service.selectAll();

		System.out.println(results.toString());

		Assert.assertEquals("Should have found one record", 1, results.size());
	}

	@Test
	public void queryShouldFindSeedRecord2() {

		List<Record> results = service.selectAll();

		System.out.println(results.toString());

		Assert.assertEquals("Should have found one record", 1, results.size());
	}

	@Test
	public void queryShouldFindSeedRecord3() {

		List<Record> results = service.selectAll();

		System.out.println(results.toString());

		Assert.assertEquals("Should have found one record", 1, results.size());
	}
}